summaryrefslogtreecommitdiffstats
path: root/system/tightvnc
diff options
context:
space:
mode:
author Brian Reichert <rignes@pobox.com>2010-05-11 20:02:09 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:02:09 +0200
commit9fda8a74348d661d8a4c2effa26c0ab458ba3fca (patch)
tree1b57f70755c8d1d395d17ad0d80f347203a2b397 /system/tightvnc
parent0cbdb460b9714b854b8aeb4ab02d0baf55201b7b (diff)
downloadslackbuilds-9fda8a74348d661d8a4c2effa26c0ab458ba3fca.tar.gz
slackbuilds-9fda8a74348d661d8a4c2effa26c0ab458ba3fca.tar.xz
system/tightvnc: Added to 12.0 repository
Diffstat (limited to 'system/tightvnc')
-rw-r--r--system/tightvnc/README11
-rw-r--r--system/tightvnc/slack-desc19
-rw-r--r--system/tightvnc/tightvnc.SlackBuild94
-rw-r--r--system/tightvnc/tightvnc.info8
4 files changed, 132 insertions, 0 deletions
diff --git a/system/tightvnc/README b/system/tightvnc/README
new file mode 100644
index 0000000000..a4df12e18f
--- /dev/null
+++ b/system/tightvnc/README
@@ -0,0 +1,11 @@
+tightvnc (remote control software)
+
+Virtual Network Computing (VNC) is a remote display system which
+allows you to view a desktop environment from anywhere on the Internet
+and from a wide variety of machine architectures.
+TightVNC is an enhanced VNC distribution. This package contains a
+client which will allow you to connect to other desktops running a
+VNC or a TightVNC server.
+
+tightvnc home: http://www.tightvnc.com/
+
diff --git a/system/tightvnc/slack-desc b/system/tightvnc/slack-desc
new file mode 100644
index 0000000000..913fc276e0
--- /dev/null
+++ b/system/tightvnc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tightvnc: tightvnc (remote control software)
+tightvnc:
+tightvnc: Virtual Network Computing (VNC) is a remote display system which
+tightvnc: allows you to view a desktop environment from anywhere on the Internet
+tightvnc: and from a wide variety of machine architectures.
+tightvnc: TightVNC is an enhanced VNC distribution. This package contains a
+tightvnc: client which will allow you to connect to other desktops running a
+tightvnc: VNC or a TightVNC server.
+tightvnc:
+tightvnc: tightvnc home: http://www.tightvnc.com/
+tightvnc:
diff --git a/system/tightvnc/tightvnc.SlackBuild b/system/tightvnc/tightvnc.SlackBuild
new file mode 100644
index 0000000000..a942997647
--- /dev/null
+++ b/system/tightvnc/tightvnc.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+#
+# Slackware build script of tightvnc
+# Copyright 2006-2007 Brian Reichert <rignes@pobox.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tightvnc
+VERSION=1.3.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf vnc_unixsrc
+tar -xjvf $CWD/$PRGNAM-${VERSION}*.tar.bz2 || exit 1
+cd vnc_unixsrc || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+/usr/bin/xmkmf || exit 1
+make World || exit 1
+cd Xvnc || exit 1
+./configure || exit1
+make || exit 1
+cd .. || exit 1
+
+# Manually make a couple of directories that need to exist prior to running vncinstall
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/usr/share/vnc/classes
+
+# Install the vnc files into the package directory
+./vncinstall $PKG/usr/bin $PKG/usr/man || exit 1
+cp ./classes/* $PKG/usr/share/vnc/classes || exit 1
+
+# Fix the vncserver script to not give errors when run
+sed -i -e "s|/usr/local/vnc/classes|/usr/share/vnc/classes|" $PKG/usr/bin/vncserver
+sed -i -e "s|unix/:7100|/usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/|" $PKG/usr/bin/vncserver
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Make the documentation directories
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/Xvnc
+cp -a ChangeLog LICENCE.TXT README WhatsNew $PKG/usr/doc/$PRGNAM-$VERSION
+( cd Xvnc
+ cp -a INSTALL.PS INSTALL.TXT LABEL README RELNOTES.PS RELNOTES.TXT bug-report \
+ $PKG/usr/doc/$PRGNAM-$VERSION/Xvnc
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/tightvnc/tightvnc.info b/system/tightvnc/tightvnc.info
new file mode 100644
index 0000000000..e7852f8ba8
--- /dev/null
+++ b/system/tightvnc/tightvnc.info
@@ -0,0 +1,8 @@
+PRGNAM="tightvnc"
+VERSION="1.3.9"
+HOMEPAGE="http://www.tightvnc.com/"
+DOWNLOAD="http://downloads.sourceforge.net/vnc-tight/tightvnc-1.3.9_unixsrc.tar.bz2"
+MD5SUM="49a0748ea52793f2e3069e05af28f716"
+MAINTAINER="Brian Reichert"
+EMAIL="rignes@pobox.com"
+APPROVED="BP{k}"